# -*- encoding: utf-8 -*-
require File.expand_path('../lib/forward/version', __FILE__)

Gem::Specification.new do |gem|
  gem.authors       = ['Travis Dunn', 'Noah Burney']
  gem.email         = ['travis@50east.co', 'noah@50east.co']
  gem.summary       = 'Forward lets you get a link to localhost and share it with anyone over the web.'
  gem.homepage      = 'https://forwardhq.com'
  gem.license       = 'MIT'

  gem.files         = `git ls-files`.split($\)
  gem.executables   = gem.files.grep(%r{^bin/}).map{ |f| File.basename(f) }
  gem.test_files    = gem.files.grep(%r{^(test|features)/})
  gem.name          = 'forward'
  gem.require_paths = ['lib']
  gem.version       = Forward::VERSION


  gem.add_dependency 'slop', '~> 3.6'
  gem.add_dependency 'json', '~> 2.0.2'
  gem.add_dependency 'highline', '~> 1.7.8'
  gem.add_dependency 'eventmachine', '~> 1.2.1'
  gem.add_dependency 'thin', '~> 1.7.0'
  gem.add_dependency 'em-http-request', '~> 1.1.5'
  gem.add_dependency 'faye-websocket', '~> 0.10.5'
  gem.add_dependency 'clipboard', '~> 1.1.1'

  gem.add_development_dependency 'rake', '~> 10.3'
  gem.add_development_dependency 'minitest', '~> 5.3'
  gem.add_development_dependency 'mocha', '~> 1.0'
  gem.add_development_dependency 'webmock', '~> 1.20'
  gem.add_development_dependency 'fakefs', '~> 0.5'
end
